Package groovy.console.ui.text

# Class StructuredSyntaxDocumentFilter.MultiLineRun

java.lang.Object
groovy.console.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

Enclosing class:
  StructuredSyntaxDocumentFilter

protected class StructuredSyntaxDocumentFilter.MultiLineRun extends Object
Tracks a multi-line styled region within the document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiLineRun(int start, int end)`
  Creates a multi-line run using a two-character delimiter.
  `MultiLineRun(int start, int end, int delimiterSize)`
  Creates a multi-line run with the supplied delimiter size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `end()`
  Returns the inclusive end offset.
  `int`
  `getDelimeterSize()`
  Deprecated.
  use `getDelimiterSize()` instead
  `int`
  `getDelimiterSize()`
  Returns the delimiter width used by this run.
  `int`
  `length()`
  Returns the run length.
  `int`
  `start()`
  Returns the inclusive start offset.
  `String`
  `toString()`
  Returns a textual description of the run bounds.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiLineRun

    public MultiLineRun(int start, int end) throws BadLocationException
    Creates a multi-line run using a two-character delimiter.
    Parameters:
      `start` - the inclusive start offset
      `end` - the inclusive end offset
    Throws:
      `BadLocationException` - if either offset is invalid

  - ### MultiLineRun

    public MultiLineRun(int start, int end, int delimiterSize) throws BadLocationException
    Creates a multi-line run with the supplied delimiter size.
    Parameters:
      `start` - the inclusive start offset
      `end` - the inclusive end offset
      `delimiterSize` - the delimiter width in characters
    Throws:
      `BadLocationException` - if either offset is invalid

- ## Method Details

  - ### getDelimiterSize

    public int getDelimiterSize()
    Returns the delimiter width used by this run.
    Returns:
      the delimiter size in characters

  - ### getDelimeterSize

    @Deprecated public int getDelimeterSize()
    Deprecated.
    use `getDelimiterSize()` instead

  - ### end

    public int end()
    Returns the inclusive end offset.
    Returns:
      the end offset

  - ### length

    public int length()
    Returns the run length.
    Returns:
      the number of characters in the run

  - ### start

    public int start()
    Returns the inclusive start offset.
    Returns:
      the start offset

  - ### toString

    public String toString()
    Returns a textual description of the run bounds.
    Overrides:
      `toString` in class `Object`
    Returns:
      the start and end positions